# Update business profile

Updates a business profile.

```http
POST https://api.pozy.ai/v1/whatsapp/business-profile
```

- Area: WhatsApp / WhatsApp
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `about`, string: Up to 139 characters
- `address`, string
- `description`, string: Up to 512 characters
- `email`, string (email)
- `websites`, array of string (URL): Up to 2 items
- `vertical`, string
- `profilePictureHandle`, string

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/whatsapp/business-profile" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/business-profile", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/whatsapp/business-profile",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `message`, string

```json
{
  "success": true,
  "message": "Hello from Pozy"
}
```
